#!/bin/bash
#
# Note that you might have to adapt this script in order to use it on your
# machine or cluster. In particular, the name of the Gromacs executable will
# depend on your installation: e.g. gmx, gmx_avx, gmx_sse
# Also, if you run this on your machine it might take several hours, and
# you might want to decide not to use all available cores you have.

for d in lambda.*/; do
  d1=$(basename $d)
  lam="${d1##*.}"

  cd $d
  mkdir ENMIN
  cd ENMIN
  gmx_avx grompp -f ../../MDP/ENMIN/enmin.$lam.mdp -c ../../complex.gro -p ../../complex.top -n ../../index.ndx -o enmin.tpr
  gmx_avx mdrun -v -stepout 1000 -s enmin.tpr -deffnm enmin

  cd ../
  mkdir NVT
  cd NVT
  gmx_avx grompp -f ../../MDP/NVT/nvt.$lam.mdp -c ../ENMIN/enmin.gro -p ../../complex.top -n ../../index.ndx -o nvt.tpr
  gmx_avx mdrun -stepout 1000 -s nvt.tpr -deffnm nvt

  cd ../
  mkdir NPT
  cd NPT
  gmx_avx grompp -f ../../MDP/NPT/npt.$lam.mdp -c ../NVT/nvt.gro -t ../NVT/nvt.cpt -p ../../complex.top -n ../../index.ndx -o npt.tpr
  gmx_avx mdrun -stepout 1000 -s npt.tpr -deffnm npt

  cd ../
  mkdir PROD
  cd PROD
  gmx_avx grompp -f ../../MDP/PROD/prod.$lam.mdp -c ../NPT/npt.gro -t ../NPT/npt.cpt -p ../../complex.top -n ../../index.ndx -o prod.tpr
  gmx_avx mdrun -stepout 1000 -s prod.tpr -deffnm prod -dhdl dhdl

  cd ../../
done
